%define base_name       kde-style
%define theme_name      tiblit
%define name            %{base_name}-%{theme_name}
%define version         1.1
%define release         %mkrel 6
%define __libtoolize /bin/true
%define __cputoolize /bin/true


Name:                   %{name}
Version:                %{version}
Release:                %{release}
Summary:                KDE style focused on customization
License:                GPL
Group:                  Graphical desktop/KDE
Source:                 20798-%{theme_name}-%{version}.tar.bz2
URL:                    http://kde-look.org/content/show.php?content=20798
BuildRequires:          kdebase-devel
BuildRoot:              %{_tmppath}/%{name}-buildroot

Obsoletes: kde-theme-tiblit
Provides: kde-theme-tiblit


%description
Tiblit is a KDE style focused on customization. 
I found too many styles limited me to a small set of options 
and I wanted to do a bit more. 
From the time I saw one KDE-Look user make all of 
his menu icons transparent because he didn't want to see them, 
to trying different styles to get a nice dark look, 
I never found what I wanted. 
Then I looked at the ThinKeramik code.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -n %{theme_name}-%{version}

%build
# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure


%configure --disable-debug --disable-warnings --disable-rpath

%make


%install
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README 
%{_libdir}/kde3/kstyle_%{theme_name}_config.la
%{_libdir}/kde3/kstyle_%{theme_name}_config.so
%{_libdir}/kde3/plugins/styles/%{theme_name}.la
%{_libdir}/kde3/plugins/styles/%{theme_name}.so
%{_datadir}/apps/kstyle/themes/%{theme_name}.themerc
%{_datadir}/apps/kdisplay/color-schemes/*.kcsrc
%{_datadir}/apps/kdisplay/styleconfs/*.kcmrc



%changelog
* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.1-6mdv2008.1
+ Revision: 170923
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1.1-5mdv2008.1
+ Revision: 140853
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - import kde-style-tiblit


* Fri Jul 14 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.1-5mdv2007.0
- Rebuild

* Mon Dec 26 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.1-4mdk
- Remove redundant Buildrequires
- use mkrel

* Tue Sep 06 2005 Laurent MONTEL <lmontel@mandriva.com> 1.1-3mdk
- Rebuild

* Fri May 06 2005 Sebastien Savarin <plouf@mandriva.org> 1.1-2mdk
-Fix build on amd64

* Mon Mar 07 2005 Sebastien Savarin <plouf@mandrake.org> 1.1-1mdk
- change package name kde-theme >> kde-style

* Mon Mar 07 2005 Sebastien Savarin <plouf@mandrake.org> 1.1-2mdk
- fix url in spec file thank to Fabrice FACORAT

* Sat Mar 05 2005 Sebastien Savarin <plouf@mandrake.org> 1.1-1mdk
- Initial Release.


